/* 
 * Stardust :-) 
 * A Free Space Flight Simulator for a Free Universe!
 * Copyright (C) 2004 MiKael NAVARRO
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdlib.h>

#include <assert.h>

#include "sdlib.h"

#include "template.h"

/*
 * Constructor.
 */
Template *template_new(void) {
  /* Allocation de la structure */
  Template *template = (Template *)malloc(sizeof(Template));
  if(!template) {
    error("Can't allocate memory (Template)!");
  }

  /* Template init */
  template->var = 0;

  return template;
}

/*
 * Destructor.
 */
int template_destroy(Template *template) {
  /* Assertion */
  assert(template);

  /* Free memory */
  free(template);

  return 0;
}

/*
 * Init template.
 */
int template_init(Template *template) {
  /* Assertion */
  assert(template);

  /* Initialization */
  template->var = 0;

  return 0;
}
